Subject: http-gw (failed to connect...)

From: Saverio Armeni <[email-masked]>
Date: Fri, 4 Feb 2000 16:38:08 +0100 (CET)

[To be removed from this list send the message "unsubscribe fwtk-users" in the
BODY of a mail message to [email-masked].]

Hi, I've compiled the fwtk toolkit on a linux system (RH6.1, with kernel
version 2.2.14). I've tested http-gw in to two different ways:
        from inetd,
        standalone daemon both on 8080 port. That's what i get:  when i
connect to some http server through the http-gw proxy, i get the error
message "failed to connect to http server www.xxx.yyy (80)" or "Network
connection closed during write" The http-gw proxy works fine if i tell to
the browser the ip number of the server http. I've tested my dns and it
still works fine. I've used the conn_server(...) function from libfwall.a
library and the net_connect(..) (in gio.c), from a simple test-file, and
it still works fine, but when http-gw calls net_connet(..) it fails.
 
Can someone help me?
Thanks.